GEOS: geos::triangulate::VoronoiDiagramBuilder Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::triangulate::VoronoiDiagramBuilder Class Reference

`#include <VoronoiDiagramBuilder.h>`

## Public Member Functions
| VoronoiDiagramBuilder ()
void | setSites (const geom::Geometry &geom)
void | setSites (const geom::CoordinateSequence &coords)
void | setClipEnvelope (const geom::Envelope *clipEnv)
void | setTolerance (double tolerance)
std::auto_ptr< quadedge::QuadEdgeSubdivision > | getSubdivision ()
std::auto_ptr< geom::GeometryCollection > | getDiagram (const geom::GeometryFactory &geomFact)
std::auto_ptr< geom::Geometry > | getDiagramEdges (const geom::GeometryFactory &geomFact)

## Detailed Description

A utility class which creates Voronoi Diagrams from collections of points. The diagram is returned as a GeometryCollection of Polygons, clipped to the larger of a supplied envelope or to an envelope determined by the input sites.

Author
  Martin Davis

## Constructor & Destructor Documentation

geos::triangulate::VoronoiDiagramBuilder::VoronoiDiagramBuilder | ( |  | ) |

Creates a new Voronoi diagram builder.

## Member Function Documentation

std::auto_ptr<geom::GeometryCollection> geos::triangulate::VoronoiDiagramBuilder::getDiagram | ( | const geom::GeometryFactory & | geomFact | ) |

Gets the faces of the computed diagram as a GeometryCollection of Polygons, clipped as specified.

Parameters

  geomFact | the geometry factory to use to create the output

Returns
  the faces of the diagram

std::auto_ptr<geom::Geometry> geos::triangulate::VoronoiDiagramBuilder::getDiagramEdges | ( | const geom::GeometryFactory & | geomFact | ) |

Gets the faces of the computed diagram as a GeometryCollection of LineStrings, clipped as specified.

Parameters

  geomFact | the geometry factory to use to create the output

Returns
  the faces of the diagram

std::auto_ptr<quadedge::QuadEdgeSubdivision> geos::triangulate::VoronoiDiagramBuilder::getSubdivision | ( |  | ) |

Gets the QuadEdgeSubdivision which models the computed diagram.

Returns
  the subdivision containing the triangulation

void geos::triangulate::VoronoiDiagramBuilder::setClipEnvelope | ( | const geom::Envelope * | clipEnv | ) |

Sets the envelope to clip the diagram to. The diagram will be clipped to the larger of this envelope or an envelope surrounding the sites.

Parameters

  clipEnv | the clip envelope; must be kept alive by caller until done with this instance; set to 0 for no clipping.

void geos::triangulate::VoronoiDiagramBuilder::setSites | ( | const geom::Geometry & | geom | ) |

Sets the sites (point or vertices) which will be diagrammed. All vertices of the given geometry will be used as sites.

Parameters

  geom | the geometry from which the sites will be extracted.

void geos::triangulate::VoronoiDiagramBuilder::setSites | ( | const geom::CoordinateSequence & | coords | ) |

Sets the sites (point or vertices) which will be diagrammed from a collection of Coordinates.

Parameters

  coords | a collection of Coordinates.

void geos::triangulate::VoronoiDiagramBuilder::setTolerance | ( | double | tolerance | ) |

Sets the snapping tolerance which will be used to improved the robustness of the triangulation computation. A tolerance of 0.0 specifies that no snapping will take place.

Parameters

  tolerance | the tolerance distance to use

The documentation for this class was generated from the following file:

- VoronoiDiagramBuilder.h